Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class ListView

    java.lang.Object
      |
      +--javax.swing.text.View
            |
            +--javax.swing.text.CompositeView
                  |
                  +--javax.swing.text.BoxView
                        |
                        +--javax.swing.text.html.BlockView
                              |
                              +--javax.swing.text.html.ListView

public class ListView
extends BlockView

A view implementation to display an html list

Fields inherited from class javax.swing.text.View
`BadBreakWeight, ExcellentBreakWeight, ForcedBreakWeight, GoodBreakWeight, X_AXIS, Y_AXIS`

Constructor Summary
`ListView(Element elem)` Creates a new view that represents a list element.

Method Summary
`float` | `getAlignment(int axis)` Calculates the desired shape of the list.
`void` | `paint(java.awt.Graphics g, java.awt.Shape allocation)` Renders using the given rendering surface and area on that surface.
`protected void` | `paintChild(java.awt.Graphics g, java.awt.Rectangle alloc, int index)` Paints one of the children; called by paint().

Methods inherited from class javax.swing.text.html.BlockView
`getAttributes, getResizeWeight, getStyleSheet, setPropertiesFromAttributes`

Methods inherited from class javax.swing.text.BoxView
`baselineLayout, baselineRequirements, calculateMajorAxisRequirements, calculateMinorAxisRequirements, changedUpdate, childAllocation, flipEastAndWestAtEnds, getHeight, getMaximumSpan, getMinimumSpan, getOffset, getPreferredSpan, getSpan, getViewAtPoint, getWidth, insertUpdate, isAfter, isAllocationValid, isBefore, layout, layoutMajorAxis, layoutMinorAxis, modelToView, preferenceChanged, removeUpdate, replace, setSize, viewToModel`

Methods inherited from class javax.swing.text.CompositeView
`append, getBottomInset, getChildAllocation, getInsideAllocation, getLeftInset, getNextEastWestVisualPositionFrom, getNextNorthSouthVisualPositionFrom, getNextVisualPositionFrom, getRightInset, getTopInset, getView, getViewAtPosition, getViewCount, getViewIndexAtPosition, insert, loadChildren, modelToView, removeAll, setInsets, setParagraphInsets, setParent`

Methods inherited from class javax.swing.text.View
`breakView, createFragment, getBreakWeight, getContainer, getDocument, getElement, getEndOffset, getParent, getStartOffset, getViewFactory, isVisible, modelToView, viewToModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListView

    public ListView(Element elem)

  Creates a new view that represents a list element.
  Parameters:
    `elem` - the element to create a view for

Method Detail

### getAlignment

    public float getAlignment(int axis)

  Calculates the desired shape of the list.
  Returns:
    the desired span
  Overrides:
    getAlignment in class BlockView
  See Also:
    `View.getPreferredSpan(int)`

### paint

    public void paint(java.awt.Graphics g,
                      java.awt.Shape allocation)

  Renders using the given rendering surface and area on that surface.
  Parameters:
    `g` - the rendering surface to use
    `allocation` - the allocated region to render into
  Overrides:
    paint in class BlockView
  See Also:
    `View.paint(java.awt.Graphics, java.awt.Shape)`

### paintChild

    protected void paintChild(java.awt.Graphics g,
                              java.awt.Rectangle alloc,
                              int index)

  Paints one of the children; called by paint(). By default that is all it does, but a subclass can use this to paint things relative to the child.
  Parameters:
    `g` - the graphics context
    `alloc` - the allocated region to render the child into
    `index` - the index of the child
  Overrides:
    paintChild in class BoxView

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.